Public Member Functions | Public Attributes | List of all members
ZWrtTextInternal::Section Struct Reference

Internal: struct used to store a section of a ZWrtText. More...

## Public Member Functions
| Section ()
| constructor More...

## Public Attributes
int | m_id
| the section id More...
MWAWEntry | m_pos
| the text position More...
std::string | m_name
| the section name More...
std::map< long, Font > | m_idFontMap
| a map pos -> font More...
bool | m_parsed
| true if the section is parsed More...

## Detailed Description

Internal: struct used to store a section of a ZWrtText.

## Constructor & Destructor Documentation

## ◆ Section()

ZWrtTextInternal::Section::Section | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_id

int ZWrtTextInternal::Section::m_id

the section id

Referenced by ZWrtTextInternal::State::getSection(), and ZWrtText::sendText().

## ◆ m_idFontMap

std::map<long,Font> ZWrtTextInternal::Section::m_idFontMap

a map pos -> font

Referenced by ZWrtText::readSectionFonts(), and ZWrtText::sendText().

## ◆ m_name

std::string ZWrtTextInternal::Section::m_name

the section name

Referenced by ZWrtText::readSectionFonts(), and ZWrtText::sendText().

## ◆ m_parsed

bool ZWrtTextInternal::Section::m_parsed
| mutable

true if the section is parsed

Referenced by ZWrtText::sendText().

## ◆ m_pos

MWAWEntry ZWrtTextInternal::Section::m_pos

the text position

Referenced by ZWrtText::computePositions(), ZWrtText::createZones(), ZWrtText::sendMainText(), and ZWrtText::sendText().

The documentation for this struct was generated from the following file:

- ZWrtText.cxx